%define debug 0
%define final 0
%define arts 1
%define libidn 1
%define xmms 1

%define qt_version 3.3.4

%define libtool 1

Name: kdenetwork
Version: 3.4.2
Release: 0.fc3.1
Summary: K Desktop Environment - Network Applications
Epoch: 7
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: kppp.pamd
Source2: ktalk
Source4: lisarc
Source5: lisa.redhat

Patch0: kdenetwork-3.1-desktop.patch
Patch1: kdenetwork-3.1-buildroot.patch
Patch2: kde-libtool.patch
Patch3: kdenetwork-3.3.92-kppp.patch
Patch4: kdenetwork-3.2.3-resolv.patch
Patch5: kdenetwork-3.3.0-ksirc.patch
Patch7: kdenetwork-3.4.0-xmms.patch
Patch8: kdenetwork-3.4.1-kopete-libgadu-va_copy.patch

Requires: kdelibs >= 6:%{version}
Requires: kdebase >= 6:%{version}
Prereq: /sbin/chkconfig

BuildRequires: qt-devel >= 1:%{qt_version}
BuildRequires: kdelibs-devel
BuildRequires: XFree86-devel
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc-c++
BuildRequires: automake
BuildRequires: autoconf >= 2.53
BuildRequires: wireless-tools >= 25
%if %{xmms}
BuildRequires: xmms-devel
%else
Obsoletes: kdenetwork-nowlistening
%endif
Requires(post,postun): /sbin/ldconfig

%description
Networking applications for the K Desktop Environment.

%package devel
Summary: Development files for kdenetwork
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel

%description devel
Development files for kdenetwork. Install kdenetwork-devel if you wish
to develop or compile KDE networking applications.

%if %{xmms}
%package nowlistening
Summary: Xmms plugin for Kopete
Group: Applications/Multimedia
Requires: %{name} = %{epoch}:%{version}-%{release}

%description nowlistening
Xmms plugin for Kopete
%endif

%prep
%setup -q
%patch0 -p1 -b .dt
%patch1 -p1 -b .buildroot
%patch2 -p1 -b .libtool
%patch3 -p1 -b .kppp
%patch4 -p1 -b .ppp
%patch5 -p1 -b .ksirc
%if !%{xmms}
%patch7 -p1 -b .xmms
%endif
%patch8 -p1 -b .libgadu-va_copy

find -name CVS | xargs rm -rf 

make -f admin/Makefile.common cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DNDEBUG -DNO_DEBUG"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"
export KDEDIR=%{_prefix}
export LDFLAGS="$LDFLAGS `krb5-config --libs`"

%configure \
   --disable-rpath \
%if %{arts} == 0
   --without-arts \
%endif
%if %{final}
   --enable-final \
%endif
   --with-qt-libraries=$QTDIR/lib \
   --includedir=%{_includedir}/kde

# ld breaks with -fPIC on ppc, workaround
# it will be removed when this bug is fixed
%ifarch ppc ppc64
   perl -pi -e 's,^pic_flag=" -fPIC -DPIC",pic_flag=" -fpic",g' libtool
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/kppp

# Make symlinks relative
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HTML/en/common
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && ln -nfs ../common $i
done
popd

# Show only in KDE
for i in fileshare kcmkrfb kcmktalkd kcmwifi krfb ; do
   if [ -f $RPM_BUILD_ROOT%{_datadir}/applications/kde/$i.desktop ] ; then
      echo "OnlyShowIn=KDE;" >> $RPM_BUILD_ROOT%{_datadir}/applications/kde/$i.desktop
   fi
done

# Run kppp through consolehelper
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/kppp $RPM_BUILD_ROOT%{_sbindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/kppp
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat >$RPM_BUILD_ROOT/etc/security/console.apps/kppp <<EOF
USER=root
PROGRAM=%{_sbindir}/kppp
SESSION=true
EOF

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d

# Add lisa startup script
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/lisarc
install -m 0755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/lisa

%post
/sbin/ldconfig
/sbin/chkconfig --add lisa
exit 0

%postun
/sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del lisa
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/security/console.apps/kppp
%config /etc/pam.d/kppp
%config %{_sysconfdir}/lisarc
%config %{_sysconfdir}/rc.d/init.d/lisa
%config %{_sysconfdir}/xinetd.d/ktalk
%doc %{_docdir}/HTML/en/*
%{_libdir}/*.so*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_libdir}/kconf_update_bin/*
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/apps/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/.hidden/*
%{_datadir}/config/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/sounds/*
%exclude %{_datadir}/apps/kopete/*nowlisteningchatui*
%exclude %{_datadir}/apps/kopete/*nowlisteningui*
%exclude %{_datadir}/services/kconfiguredialog/*nowlistening*
%exclude %{_datadir}/services/*nowlistening*
%exclude %{_libdir}/kde3/*nowlistening*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%if %{xmms}
%files nowlistening
%defattr(-,root,root)
%{_datadir}/apps/kopete/*nowlisteningchatui*
%{_datadir}/apps/kopete/*nowlisteningui*
%{_datadir}/services/kconfiguredialog/*nowlistening*
%{_datadir}/services/*nowlistening*
%{_libdir}/kde3/*nowlistening*
%endif

%changelog
* Fri Aug 05 2005 Than Ngo <than@redhat.com> 7:3.4.2-0.fc3.1
- update to 3.4.2

* Thu Jul 21 2005 Than Ngo <than@redhat.com> 7:3.3.1-3.2 
- fix crash in kopete
- apply patch to fix libgadu vulnerabilities #163811, CVE CAN-2005-1852
  thank to kde security team
- backport patch to fix annoying problem with registration
  dialog not able to register/retrieve token due to network problems.

* Mon Jul 04 2005 Than Ngo <than@redhat.com> 7:3.3.1-3.1 
- add backported patch to fix Kopete MSN login #161707

* Tue Mar 15 2005 Than Ngo <than@redhat.com> 7:3.3.1-3
- CVS backport includes fixes:
    - Kopete fails to store passwords in kde wallet rh#145692
    - kopete chat window doesn't use focus stealing policy kde#87416
    - increased max length of callback number
    - crash when we remove the temporary group from the contact list

* Fri Oct 15 2004 Than Ngo <than@redhat.com> 7:3.3.1-2
- fix desktop files

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 7:3.3.1-1
- update to 3.3.1

* Wed Sep 29 2004 Than Ngo <than@redhat.com> 7:3.3.0-5
- get rid of CVS directories from file list #134065

* Fri Sep 24 2004 Than Ngo <than@redhat.com> 7:3.3.0-4
- fix crash in kget #133495

* Thu Sep 23 2004 Than Ngo <than@redhat.com> 7:3.3.0-3
- add OnlyShowIn=KDE

* Thu Sep 16 2004 Than Ngo <than@redhat.com> 3.3.0-2
- fix memmove warning in ksirc #132676

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Sat Aug 07 2004 Than Ngo <than@redhat.com> 7:3.2.92-1
- update to 3.3 Beta 2

* Thu Jul 01 2004 Than Ngo <than@redhat.com> 7:3.2.3-2 
- add buildRequire on wireless-tools, xmms-devel (bug #124712)
- add sub package nowlistening to get rid of xmms dependency (bug #115067)
- fix resolv.conf problem (bug #125601, #125442)

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 7:3.2.3-1
- update to 3.2.3 release

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 7:3.2.2-1
- 3.2.2 release

* Fri Apr 02 2004 Than Ngo <than@redhat.com> 7:3.2.1-5.1
- fix missing soname, bug #119739 

* Thu Apr 01 2004 Than Ngo <than@redhat.com> 3.2.1-5
- fix kget issue, bug #117395

* Mon Mar 29 2004 Than Ngo <than@redhat.com> 3.2.1-4
- cleanup KDE/GNOME menus

* Fri Mar 19 2004 Karsten Hopp <karsten@redhat.de> 3.2.1-3 
- move Obsoletes: kmail to kdepim package.

* Sun Mar 14 2004 Karsten Hopp <karsten@redhat.de> 3.2.1-2 
- remove kmail virtual package, its in kdepim now

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 7:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 7:3.2.0-1.5
- gcc 3.4 build problem

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 7:3.2.0-1.4
- use _smp_mflags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Feb 07 2004 Than Ngo <than@redhat.com> 3.2.0-0.3 
- 3.2.0 release
- built against qt-3.3.0

* Wed Jan 28 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.2
- cleanup the code for 64bit machines

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 7:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.3
- get rid of rpath
- don't move desktop files, it's not needed in 3.2

* Tue Nov 25 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.2
- fixed link problem with ssl

* Mon Nov 10 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.1
- KDE 3.2 Beta1
- cleaned up rpm file list

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 7:3.1.4-1
- 3.1.4

* Thu Aug 14 2003 Than Ngo <than@redhat.com> 7:3.1.3-3
- add workaround for s390/s390x build problem

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 7:3.1.3-2
- rebuilt

* Tue Aug 05 2003 Than Ngo <than@redhat.com> 7:3.1.3-1
- 3.1.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Apr 30 2003 Than Ngo <than@redhat.com> 3.1.1-2
- build with -fpic on ppc (ld bugs)

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Fri Mar 7 2003 Dan Walsh <dwalsh@redhat.com> 3.1-8
- bump release number 

* Thu Mar  6 2003 Than Ngo <than@redhat.com> 3.1-7
- la file issue, bug #85727

* Wed Feb 26 2003 Dan Walsh <dwalsh@redhat.com> 3.1-6
- Fix service description

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-4
- get rid of gcc path from dependency_libs

* Fri Feb 14 2003 Than Ngo <than@redhat.com> 3.1-3
- add patch to start lisa daemon correct from initscript, #84257
- dependency issue, #81430

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of kotalkd, bug #82765
- lisa initscript, bug #82935

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros
 
* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 7:3.1-0.10
- rebuild

* Sun Jan 12 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.9
- rc6
- exclude ia64

* Sun Dec 29 2002 Than Ngo <than@redhat.com> 3.1-0.8
- fix bug #80354

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 3.1-0.7
- rebuild

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.1-0.6
- fix rpm conflicts

* Tue Dec 10 2002 Than Ngo <than@redhat.com> 3.1-0.5
- fix to build on s390/s390x

* Mon Dec  9 2002 Than Ngo <than@redhat.com> 3.1-0.4
- fix bug #78650
- desktop file issues

* Sun Dec  8 2002 Than Ngo <than@redhat.com> 3.1-0.3
- Add lisa startup script (bug #72114)
- fix dependency issue

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- add obsoletes/provides sub packages

* Tue Nov 26 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- remove sub packages

* Tue Nov 12 2002 Than Ngo <than@redhat.com> 3.0.5-3
- respin

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 3.0.5-2
- remove directory names from the PAM configuration, allowing the same config
  file to be used for all arches on multilib systems

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Oct 12 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- kpf Directory traversal

* Sat Aug 24 2002 Than Ngo <than@redhat.com> 3.0.3-3
- move knode menu entries to Extras (bug #71881)

* Wed Aug 21 2002 Preston Brown <pbrown@redhat.com> 3.0.3-2
- buildrequirement on automake15, autoconf >= 2.53
- move kmail, kppp, kppplogview menu entries to Extras

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Mon Aug  5 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues
- Added more BuildRequires (bug #70056)
- Added support timestamp
- Added Node.desktop in correct package (bug #65087)
- Fixed dangling symlink (bug #63876)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Thu Jul 11 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix dangling symlink introduced by library renaming

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rename libraries
- Fix default kmail settings

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Merge fixes for 3 potential kmail crashes from KDE_3_0_BRANCH

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0 final

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Rename subpackages

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Rebuild with new kdelibs

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Update
- Integrate ktalk stuff with xinetd

* Tue Dec 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011218.1
- Update
- Split into subpackages

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Add build dependencies
- Work around ia64 breakages

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010513.1
- Update to CVS
- clean up specfile
- Use %%post -p and %%postun -p

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Limit CPU usage to 2 CPUs to make asok happy

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't require perl, not everyone using ksirc is also using
  ksirc perl scripting...

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (needed because of kdelibs change)
- Obsolete kdenetwork2 (from 7.0 preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing PAM file, fix group

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to HEAD 

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fix kmail segfault with empty identity)

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up consolehelper config

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current KDE_2_0_BRANCH (this should fix up knode)
- Run kppp through consolehelper (Bug #20021)
- Split of kppp and kppplog to a separate package, kdenetwork-ppp
  (RFE #20022)

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable keystone for now (compiler problem)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with glibc-2.1.92-14 and gcc-2.96-40

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete ktalk (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Mon Oct 25 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
